D-Bus: DBusTransport implementations for UNIX

D-Bus 1.14.10

Functions
DBusTransport implementations for UNIX
D-Bus secret internal implementation details

Implementation details of DBusTransport on UNIX. More...

## Functions
DBusTransport * | _dbus_transport_new_for_domain_socket (const char *path, dbus_bool_t abstract, DBusError *error)
| Creates a new transport for the given Unix domain socket path.
DBusTransportOpenResult | _dbus_transport_open_platform_specific (DBusAddressEntry *entry, DBusTransport **transport_p, DBusError *error)
| Opens platform specific transport types.

## Detailed Description

Implementation details of DBusTransport on UNIX.

## Function Documentation

## ◆ _dbus_transport_new_for_domain_socket()

DBusTransport * _dbus_transport_new_for_domain_socket | ( | const char * | path,
|  | dbus_bool_t | abstract,
|  | DBusError * | error
| ) |  |

Creates a new transport for the given Unix domain socket path.

This creates a client-side of a transport.

Parameters

  path | the path to the domain socket.
  abstract | TRUE to use abstract socket namespace
  error | address where an error can be returned.

Returns
  a new transport, or NULL on failure.

Definition at line 58 of file dbus-transport-unix.c.

References _dbus_close_socket(), _dbus_connect_unix_socket(), _dbus_string_append(), _dbus_string_free(), _dbus_string_init(), _dbus_transport_new_for_socket(), DBUS_ERROR_NO_MEMORY, dbus_set_error(), and NULL.

Referenced by _dbus_transport_open_platform_specific().

## ◆ _dbus_transport_open_platform_specific()

DBusTransportOpenResult _dbus_transport_open_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusTransport ** | transport_p,
|  | DBusError * | error
| ) |  |

Opens platform specific transport types.

Parameters

  entry | the address entry to try opening
  transport_p | return location for the opened transport
  error | error to be set

Returns
  result of the attempt

Definition at line 221 of file dbus-transport-unix.c.

References _dbus_assert, _dbus_lookup_launchd_socket(), _dbus_set_bad_address(), _dbus_strdup(), _dbus_string_free(), _dbus_string_init(), _dbus_transport_new_for_domain_socket(), dbus_address_entry_get_method(), dbus_address_entry_get_value(), DBUS_ERROR_BAD_ADDRESS, dbus_error_free(), DBUS_ERROR_INIT, dbus_error_is_set(), DBUS_ERROR_NO_MEMORY, dbus_free_string_array(), dbus_move_error(), dbus_new0, dbus_set_error(), FALSE, NULL, and TRUE.